<div class="carded">
    <div class="top-bg warn"></div>

    <div class="center">
        <div class="header">
            <h2 primary>Lineamientos</h2>           
        </div>

        <div class="content-card">
            <perfect-scrollbar>
                <mat-table [dataSource]="dataSource" matSort class="vertical-fit">
                    <ng-container matColumnDef="idlineamiento">
                        <mat-header-cell *matHeaderCellDef> Código </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.idlineamiento}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="fechatramite">
                        <mat-header-cell *matHeaderCellDef> Fecha Trámite </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.fechatramite}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="estadopago">
                        <mat-header-cell *matHeaderCellDef> Estado de Pago </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.estadopago}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="rutapdf">
                        <mat-header-cell *matHeaderCellDef> Documento </mat-header-cell>
                       
                        <mat-cell *matCellDef="let element" >                            
                            <a href="http://207.244.229.255:5007/pdfreportes/lineamiento{{element.idlineamiento-1}}.pdf" download>
                                <i class="fa fa-file-pdf" style="color:red">
                                    PDF
                                </i>
                            </a>
                        </mat-cell>
                    </ng-container>
                    
                    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                    <mat-row *matRowDef="let row; columns: displayedColumns;" (click)="onLineamientoDetailNavigate(row)"></mat-row>
                </mat-table>
            </perfect-scrollbar>

            <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
        </div>
    </div>
</div>